%global pypi_name jaraco.text
%global pkg_name jaraco-text

%bcond_with docs
%bcond_without tests

Summary:        Module for text manipulation
Name:           python-%{pkg_name}
Version:        3.12.0
Release:        3%{?dist}
License:        MIT
URL:            https://github.com/jaraco/jaraco.text
Source0:        %{pypi_source}

BuildArch:      noarch
 
BuildRequires:  python3-devel

%if %{with tests}
BuildRequires: python3dist(pytest)
BuildRequires: python3dist(pytest-cov)
%endif

%description
Module for text manipulation

%package -n     python3-%{pkg_name}
Summary:        Module for text manipulation

%description -n python3-%{pkg_name}
Module for text manipulation

%package -n python-%{pkg_name}-doc
Summary:        jaraco.text documentation
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(rst-linker) >= 1.9
BuildRequires:  python3dist(jaraco-packaging)

%description -n python-%{pkg_name}-doc
Documentation for jaraco.text

%prep
%autosetup -p1 -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with docs}
PYTHONPATH=${PWD} sphinx-build-3 docs html
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
install jaraco/text/Lorem\ ipsum.txt %{buildroot}%{python3_sitelib}/jaraco/text/

%if 0%{?with_tests}
%check
%pytest
%endif

%files -n python3-%{pkg_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/jaraco/text/
%{python3_sitelib}/%{pypi_name}-%{version}.dist-info

%if %{with docs}
%files -n python-%{pkg_name}-doc
%license LICENSE
%doc html
%endif

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.12.0-3
- Rebuilt for loongarch release

* Fri May 31 2024 Shuo Wang <abushwang@tencent.com> - 3.12.0-2
- enable %check

* Wed Jan 03 2024 Upgrade Robot <upbot@opencloudos.org> - 3.12.0-1
- Upgrade to version 3.12.0

* Fri Sep 22 2023 jackeyji <jackeyji@tencent.com> - 3.6.0-1
- upgrade to 3.6.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jan 12 2023 Miaojun Dong <zoedong@tencent.com> - 3.2.0-1
- initial build
